Bug 12759 - `convert' cannot convert JPEGs -> MPEG
Summary: `convert' cannot convert JPEGs -> MPEG
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-20 15:41 UTC by Dimitri Papadopoulos
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-20 15:41:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dimitri Papadopoulos 2000-06-20 15:41:05 UTC
Hi,

On Solaris using the binary ImageMagick distribution:
	$ convert *.jpg toto.mpg
	$ 
On RedHat 6.2:
	$ convert *.jpg toto.mpg
	sh: mpeg2encode: command not found
	convert: delegate failed (mpeg2encode %u %o).
	$ 

On Solaris, mpeg2encode is enclosed in the ImageMagcick
distribution:
	$ ls /usr/local/imagemagick/bin/
	animate      convert      identify     mogrify      mpeg2decode  xtp
	combine      display      import       montage      mpeg2encode


It would be great to have mpeg2encode included in the
ImageMagick RPM, or at least have a separate mpeg2encode
RPM, or to patch convert to use another program/library
to transform JPEGs to MPEG.

Regards,
Dimitri

Comment 1 Bernhard Rosenkraenzer 2000-06-24 13:40:13 UTC
We can't do that - mpeg2encode and mpeg2decode are not free ("Commercial
implementations of MPEG-1 and MPEG-2 video, including shareware, are subject to
royalty fees to patent holders. Many of these patents are general enough such
that they are unavoidable regardless of implementation design.").



Note You need to log in before you can comment on or make changes to this bug.